petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSpaceGetType

Gets the PetscSpace type name (as a string) from the object.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceGetType(PetscSpace sp, PetscSpaceType *name)

Not Collective

### Input Parameter

sp -The PetscSpace

### Output Parameter

name -The PetscSpace type name

### Keywords

PetscSpace, get, type, name

### See Also

PetscSpaceSetType(), PetscSpaceCreate()

Level:intermediate
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages